List pricing policy attachments
get
Path parameters
pricingPolicyIdstringRequired
Responses
200
OK
application/json
get
/public/v1/catalog/pricing-policies/{pricingPolicyId}/attachments200
OK
Last updated
Was this helpful?
Was this helpful?
GET /public/v1/catalog/pricing-policies/{pricingPolicyId}/attachments HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
"$meta": {
"pagination": {
"offset": 1,
"limit": 1,
"total": 1
},
"omitted": [
"text"
]
},
"data": [
{
"id": "text",
"audit": {
"created": "[Circular Reference]",
"updated": "[Circular Reference]"
},
"$meta": {
"omitted": [
"text"
]
},
"name": "text",
"revision": 1,
"type": "text",
"size": 1,
"description": "text",
"fileName": "text",
"contentType": "text",
"status": "text",
"pricingPolicy": {
"id": "text",
"name": "text",
"revision": 1,
"client": "[Circular Reference]",
"eligibility": {
"client": true,
"partner": true
},
"products": [
"[Circular Reference]"
]
}
}
]
}